#!/bin/sh
./find_invariable.pl A3_sorted.fa A3_target.fa A3_result.txt
### Uncoment the following 3 strings to build Sequence Logo for your target
#cp A3_result.txt A3_logosrc.txt
#./invtable2fa.pl A3_logosrc.txt logo
#weblogo -A dna -f A3_logosrc.fa -D fasta -o A3_logo.pdf -F pdf -P "Target A3"
### convert A3_result.txt table to format suitable for multiple alignment programs
./invtable2fa.pl A3_result.txt stat
### fftnsi is the MAFFT component. If it is not in your path, then correct to the full file name
### You could want to change number of threads too.
fftnsi --thread 8 --clustalout --maxiterate 1000 --nuc --quiet A3_result.fa > A3_4stat.aln
./unpack_aln.pl A3_4stat.aln
./mut_stat.pl A3_4stat.aligned
mv A3_result.fa A3_align.fa
### now file A3_4stat.stat contains mutation statistics
